# VecAYPX

Computes y = x + alpha y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAYPX(Vec y,PetscScalar alpha,Vec x)

Collective on Vec

### Input Parameters

| alpha | - the scalar
| x, y | - the vectors

### Output Parameter

y -output vector

### See Also

VecAXPY(), VecWAXPY()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/ksp/ksp/examples/tutorials/ex14f.F.html
src/snes/examples/tutorials/ex1f.F.html